# Random Post

## [unreleased]

- Nothing yet


## [1.2.1] - 2023-10-23

### Changed

- Added a description to the widget

### Fixed

- Fixed a server error happening right after the first installation on a blog


## [1.2.0] - 2023-10-21

### Changed

- Rewritten to Dotclear 2.27 standards
- Update the widget display to current standards


## [1.1.1] - 2023-09-04

### Fixed

- Plugin no longer working with Dotclear 2.27

### Changed

- Added missing French translations for the admin plugins page


## [1.1.0] - 2023-02-05

### Added

- Possibility to edit the URL prefixes in the plugin's admin page
- Added a CHANGELOG.md file

### Fixed

- Installing a new version of the plugin emptied the settings for the URL prefixes


## [1.0.1] - 2023-01-16

### Fixed

- Fixed the invalid link displayed in the widget


## [1.0.0] - 2022-12-25

### Fixed

- Compatibility with Dotclear 2.24


## [0.9.2] - 2012-10-11

### Fixed

- Compatibility with recent versions of PHP
- Typo in a setting name


## [0.9.1a] - 2010-07-03

### Fixed

- Compatibility with Dotclear 2.2


## [0.8.1a] - 2010-02-01

### Added

- Possibility to change the URL prefixes used for the random posts in `about:config`
- Possibility to use a static URL which displays a random post without changing the browser URL


## [0.8] - 2009-08-31

### Added

- Template tag to display directly the widget somewhere in your theme

### Fixed

- Compatibility with PHP 5.3

## [0.7-alpha] - 2009-01-11

### Added

- Allow some HTML tags through in the displayed random excerpt


## [0.6] - 2007-08-06

### Fixed

- Removed some `E_NOTICE` warnings


## [0.5] - 2007-01-29

### Added

- Possibility to limit the randomness to a class
- Added a warning regarding an incompatibility between two settings

### Fixed

- Some typos


## [0.4] - 2007-01-28

### Added

- Possibility to display both the random post title and excerpt

### Changed

- Renamed template function `tpl:RandomPostURL` to `tpl:RandomRedirURL`
- The CSS ID `randompost` has been changed to a class


## [0.3] - 2007-01-24

### Fixed

- Compatibility with PostgreSQL
- Lighter SQL requests for medium to big databases


## [0.2a] - 2007-01-22

### Added

- Icon for the plugin in the admin menu


## [0.2] - 2007-01-21

### Added

- Widget displaying the redirection link


## [0.1] - 2007-01-21

- Initial release


[unreleased]: https://codeberg.org/julmud/dc2-randomPost/compare/v1.2.1...HEAD
[1.2.1]: https://codeberg.org/julmud/dc2-randomPost/releases/tag/v1.2.1
[1.2.0]: https://codeberg.org/julmud/dc2-randomPost/releases/tag/v1.2.0
[1.1.1]: https://codeberg.org/julmud/dc2-randomPost/releases/tag/1.1.1
[1.1.0]: https://codeberg.org/julmud/dc2-randomPost/releases/tag/v1.1.0
[1.0.1]: https://codeberg.org/julmud/dc2-randomPost/releases/tag/v1.0.1
[1.0.0]: https://mudry.org/blog/post/2022/12/25/Greffon-pour-DotClear2-billet-al%C3%A9atoire-V1.0.0
[0.9.2]: https://mudry.org/blog/post/2012/10/11/Greffon-pour-DotClear2-billet-al%C3%A9atoire-V0.9.2
[0.9.1a]: https://mudry.org/blog/post/2010/07/03/Greffons-pour-Dotclear2-mises-%C3%A0-jour-pour-Dotclear-2.2
[0.8.1a]: https://mudry.org/blog/post/2010/01/31/Greffon-pour-DotClear2-billet-al%C3%A9atoire-V0.8.1a
[0.8]: https://mudry.org/blog/post/2009/08/31/Greffon-pour-DotClear2-%3A-billet-al%C3%A9atoire-V0.8
[0.4]: https://mudry.org/blog/post/2007/01/28/Greffon-pour-DotClear2-%3A-billet-aleatoire-V04
[0.3]: https://mudry.org/blog/post/2007/01/24/Greffon-pour-DotClear2-%3A-billet-aleatoire-V03
[0.2]: https://mudry.org/blog/post/2007/01/21/Greffon-pour-DotClear2%3A-billet-aleatoire-V02
[0.1]: https://mudry.org/blog/post/2007/01/21/Greffon-pour-DotClear2%3A-billet-aleatoire
