<?php
/**
 * @package Dotclear
 *
 * @copyright Olivier Meunier & Association Dotclear
 * @copyright GPL-2.0-only
 */
#
# DOT NOT MODIFY THIS FILE !
#

use Dotclear\Helper\L10n;

L10n::$locales['Random Post'] = 'Billet aléatoire';
L10n::$locales['Returns a random published post from the blog'] = 'Retourne un billet aléatoire parmi les billets publiés du blogue';
L10n::$locales['Random post'] = 'Billet aléatoire';
L10n::$locales['Configuration successfully updated'] = 'La configuration a été mise à jour.';
L10n::$locales['Random Post plugin'] = 'Plugin billet aléatoire';
L10n::$locales['Options'] = '';
L10n::$locales['Prefix for the URL redirecting to a random post:'] = 'Préfixe pour l\'URL redirigeant vers un billet aléatoire :';
L10n::$locales['Prefix for the URL displaying a random post:'] = 'Préfixe pour l\'URL affichant un billet aléatoire :';
L10n::$locales['Category limitation when selecting a random post (only from template functions):'] = 'Limitation à certaines catégories lors de la sélection d\'un billet aléatoire (seulement pour les fonctions de template) :';
L10n::$locales['Save'] = 'Enregistrer';
L10n::$locales['Usage'] = 'Utilisation';
L10n::$locales['In your template, just create a link with %s as a destination. When your visitors\'ll click on that link, they\'ll be redirect to a random post from your blog.'] = 'Dans votre template, ajoutez juste un lien avec %s comme destination. Quand vos visiteurs cliqueront sur le lien, ils seront redirigés vers un billet tiré au hasard.';
L10n::$locales['Or, if you prefer, you can also use it as a widget. The link will be enclosed in a %s with class %s and displayed as a %s.'] = 'Ou, si vous préférez, vous pouvez également l\'utiliser en tant que widget de présentation. Le lien sera alors inclus dans un %s (avec %s comme classe) et affiché en tant que %s.';
L10n::$locales['Advanced usage'] = 'Utilisation avancée';
L10n::$locales['Note:'] = 'Note :';
L10n::$locales['I advise you strongly <strong>not</strong> to use these advanced techniques on every page of your blog.'] = 'Je vous conseille vivement de <strong>ne pas</strong> utiliser ces techniques avancées sur chaque page de votre blogue.';
L10n::$locales['Doing so will result in two more SQL requests for every page views, which might slow down your site to a crawl. You\'ve been warned.'] = 'Si vous le faites, il y aura deux requêtes SQL supplémentaires exécutées pour chaque page vue, ce qui risque de ramener votre site à la vitesse d\'un escargot filmé au ralenti. Vous voilà prévenu.';
L10n::$locales['You can display both an excerpt and the title from the post, either with the widget options or the template functions.'] = 'Vous pouvez afficher à la fois un extrait et le titre du billet, que ce soit via les options du widget ou avec les fonctions de template.';
L10n::$locales['Using the widgets options:'] = 'Utiliser les options du widget :';
L10n::$locales['Title (optional):'] = 'Titre du widget (optionnel) :';
L10n::$locales['Title of the block displayed in the sidebar. Leave it empty if you use the redirection and don\'t want a heading title before it.'] = 'Titre du bloc affiché dans la barre latérale. Laissez le champ vide si vous utilisez la redirection et ne voulez pas de titre avant.';
L10n::$locales['Link text:'] = 'Texte du lien :';
L10n::$locales['Link text if you use redirection.'] = 'Texte du lien si vous utilisez la redirection.';
L10n::$locales['Use redirection'] = 'Utiliser une URL de redirection';
L10n::$locales['Use a URL for redirection as configured in the plugins\' settings. This is the prefered method, as the needed database requests will only be executed when your users click on the link.'] = 'Utiliser l\'adresse configurée dans les paramètres du plugin comme URL de redirection. Ceci est la méthode d\'utilisation conseillée, ainsi les requêtes vers la base de données ne seront effectuées que lorsque vos visiteurs cliqueront sur le lien.';
L10n::$locales['Display an excerpt from the post'] = 'Afficher un extrait du billet';
L10n::$locales['Will display the excerpt from the post, or the post\'s content if there\'s no excerpt.'] = 'Faut-il afficher l\'extrait du billet (ou le contenu du billet s\'il n\'y a pas d\'extrait) ?';
L10n::$locales['Excerpt maximum length (in characters):'] = 'Longueur maximum de l\'extrait (en caractères) :';
L10n::$locales['Limit the displayed excerpt to a certain maximum length. Use 0 if you want to display the full excerpt.'] = 'Limite la longueur affichée de l\'extrait à une certaine valeur. Mettez 0 si vous souhaitez afficher l\'extrait au complet.';
L10n::$locales['HTML tags allowed in the output:'] = 'Tags HTML autorisés dans l\'affichage :';
L10n::$locales['Specify the HTML tags you want to allow in the excerpt. You can put multiple tags, for example: %s'] = 'Spécifiez les tags HTML que vous souhaitez autoriser dans l\'extrait du billet. Vous pouvez mettre plus tags, par exemple : %s';
L10n::$locales['Restrict to category'] = 'Se limiter à la catégorie';
L10n::$locales['With this option, you can restrict the posts to one category only.'] = 'Avec cette option, vous pouvez restreindre le tirage aléatoire à une seule catégorie du blogue.';
L10n::$locales['Choose "All categories" if you don\'t want this limit.'] = 'Choisissez la valeur « Toutes les catégories » si vous ne voulez pas de cette limitation.';
L10n::$locales['Display on:'] = 'Afficher :';
L10n::$locales['Choose on which pages the widget should be displayed.'] = 'Choisissez sur quelles pages le widget doit être affiché.';
L10n::$locales['Content only'] = 'Contenu seul (sans boîte englobante)';
L10n::$locales['Do not wrap the widget with a div.'] = 'Ne pas ajouter un div supplémentaire autour du widget.';
L10n::$locales['Offline'] = 'Hors ligne';
L10n::$locales['Do not display the widget at all.'] = 'Ne pas afficher du tout le widget.';
L10n::$locales['Using the template functions:'] = 'Utiliser les fonctions de template :';
L10n::$locales['Use this function as the destination of a link.'] = 'Utiliser cette fonction comme destination d\'un lien.';
L10n::$locales['This is the prefered method, as the needed database requests will only be executed when your users click on the link.'] = 'Ceci est la méthode d\'utilisation conseillée, ainsi les requêtes vers la base de données ne seront effectuées que lorsque vos visiteurs cliqueront sur le lien.';
L10n::$locales['Start of a template block. It selects a random post, which can then be accessed and displayed with the next functions.'] = 'Début d\'un bloc de template. Il sélectionne aléatoirement un billet, que l\'on pourra accéder et afficher grâce aux fonctions ci-dessous.';
L10n::$locales['Returns the URL of the selected post.'] = 'Retourne l\'URL du billet sélectionné.';
L10n::$locales['Returns the title of the selected post.'] = 'Retourne le titre du billet sélectionné.';
L10n::$locales['Returns the excerpt (or content it there\'s no excerpt) of the selected post.'] = 'Retourne l\'extrait (ou le contenu s\'il n\'y a pas d\'extrait) du billet sélectionné.';
L10n::$locales['Can take one attribute, %s, which indicates the maximum length for the excerpt displayed.'] = 'Accepte un attribut, %s, qui indique la longueur maximum de l\'extrait affiché.';
L10n::$locales['Use 0 for %s to disable this truncation (the default is 200 characters).'] = 'Vous pouvez utiliser 0 comme valeur pour %s afin de désactiver cette troncation (la longueur par défaut est de 200 caractères).';
L10n::$locales['Both the %s and %s template functions can take one attribute: %s.'] = 'Les deux fonctions de template %s et %s peuvent prendre un attribut : %s.';
L10n::$locales['This attribute takes a numeric value: the ID of a category.'] = 'Cet attribut accepte une valeur numérique : l\'ID d\'une catégorie du blogue.';
L10n::$locales['If you use that attribute, all the posts randomly selected will belong to the given category.'] = 'Si vous utilisez cet attribut, tous les posts sélectionnés aléatoirement appartiendront à la catégorie donnée.';
L10n::$locales['In the widget, the options "Use redirection" and "Display an excerpt from the post" are mutually exclusive.'] = 'Dans le widget, les options « Utiliser une URL de redirection » et « Afficher un extrait du billet » sont mutuellement exclusives.';
L10n::$locales['If you check both boxes, the option "Use redirection" will take precedence.'] = 'Si vous cochez les deux cases, seule l\'option « Utiliser une URL de redirection » sera prise en compte.';
L10n::$locales['Released on %s'] = 'Publiée le %s';
L10n::$locales['Changelog'] = 'Historique des versions';
L10n::$locales['Rewritten to the standards of Dotclear 2.27.'] = 'Réécriture selon les standards de Dotclear 2.27.';
L10n::$locales['Fixed the widget display to match current standards.'] = 'Correction du widget pour correspondre aux standards actuels.';
L10n::$locales['Fixed the compatibility with Dotclear 2.27.'] = 'Compatible avec Dotclear 2.27.';
L10n::$locales['Added some missing French translations.'] = 'Ajout de quelques traductions manquantes en français.';
L10n::$locales['Added the possibility to edit the URL prefixes in the plugin\'s admin page.'] = 'Ajout de la possibilité de modifier les préfixes utilisés dans les URLs via la page du greffon.';
L10n::$locales['Fixed the bug where installing a new version of the plugin emptied the settings for the URL prefixes.'] = 'Correction du bug qui effaçait la configuration lors de l\'installation d\'une nouvelle version.';
L10n::$locales['Fixed the invalid link to the post in the widget.'] = 'Correction du lien invalide vers le billet dans le widget de présentation.';
L10n::$locales['Made it compatible with Dotclear version 2.24.'] = 'Compatibilité avec la version 2.24 de Dotclear.';
L10n::$locales['Older versions'] = 'Anciennes versions';
L10n::$locales['For older versions, see the CHANGELOG.md file distributed with the plugin.'] = 'Pour de plus anciennes versions, référez-vous au fichier CHANGELOG.md livré avec le plugin (en anglais uniquement).';
L10n::$locales['All categories'] = 'Toutes les catégories';
L10n::$locales['Link to a random published post'] = 'Lien vers un billet aléatoire du blogue';
L10n::$locales['Restrict to category:'] = 'Se limiter à la catégorie :';
